import { Lang, Theme } from 'shiki';
import type { CodeStyle } from './style';
export type { Theme, Lang } from 'shiki';
export declare function ready(options?: {
    languages?: Lang[];
    themes?: Theme[];
}): Promise<void>;
export interface CodeTree {
    language: string;
    spans: string[];
    nodes: Code[];
}
export declare type Code = CodeTree | string;
export declare type TaggedFunction = (code: TemplateStringsArray, ...rest: Code[]) => CodeTree;
export declare type LanguageDictionary = Record<string, TaggedFunction>;
export declare const language: LanguageDictionary;
export declare type Location = [number, number];
export interface Token {
    code: string;
    color: string;
}
export interface MorphToken extends Token {
    morph: 'create' | 'delete' | 'retain';
    from: Location | null;
    to: Location | null;
}
export interface ParseOptions {
    codeStyle?: CodeStyle;
    theme?: Theme;
}
export declare function parse(code: CodeTree, options?: ParseOptions): Token[];
export declare function toString(tokens: Token[]): string;
export declare function diff(start: CodeTree, end: CodeTree, options?: ParseOptions): MorphToken[];
//# sourceMappingURL=tags.d.ts.map